Loading...
Searching...
No Matches
formattedvalue.h File Reference

C++ API: Abstract operations for localized strings. More...

`#include "unicode/utypes.h"`
`#include "unicode/appendable.h"`
`#include "unicode/fpositer.h"`
`#include "unicode/unistr.h"`
`#include "unicode/uformattedvalue.h"`

Go to the source code of this file.

## Data Structures

class | icu::ConstrainedFieldPosition
| Represents a span of a string containing a given field. More...
class | icu::FormattedValue
| An abstract formatted value: a string with associated field attributes. More...

## Namespaces

namespace | icu
| File coll.h.

## Detailed Description

C++ API: Abstract operations for localized strings.

This file contains declarations for classes that deal with formatted strings. A number of APIs throughout ICU use these classes for expressing their localized output.

Definition in file formattedvalue.h.